Package com.avaya.clientservices.sharedcontrol

## Class ControllableEndpoint

- java.lang.Object
- - com.avaya.clientservices.sharedcontrol.ControllableEndpoint

-     public class ControllableEndpoint
      extends java.lang.Object

  The ControllableEndpoint class provides access to the details of controllable endpoint which can be used for shared control.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControllableEndpoint()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` |
    `java.lang.String` | `getEndpointId()` |
    `java.lang.String` | `getFirmwareVersion()` |
    `int` | `getId()` |
    `java.lang.String` | `getModel()` |
    `java.lang.String` | `getSerialNumber()` |
    `java.lang.String` | `getUri()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllableEndpoint

          public ControllableEndpoint()

  - ### Method Detail

    - #### getId

          public int getId()

      Returns:
        controllable endpoint's numeric ID

    - #### getUri

          public java.lang.String getUri()

      Returns:
        controllable endpoint's URI

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Returns:
        controllable endpoint's display name

    - #### getSerialNumber

          public java.lang.String getSerialNumber()

      Returns:
        controllable endpoint's serial number

    - #### getFirmwareVersion

          public java.lang.String getFirmwareVersion()

      Returns:
        controllable endpoint's firmware version

    - #### getModel

          public java.lang.String getModel()

      Returns:
        controllable endpoint's model

    - #### getEndpointId

          public java.lang.String getEndpointId()

      Returns:
        controllable endpoint's unique string ID